<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
        <audio controls>
                <source src="http://localhost:2000" type="audio/mpeg">
        </audio>
    
</body>
</html>


<!-- <!doctype html>  
<html lang="en">  
    <head>

    </head>
    <body>
        <h1>Hello World!</h1>
        <div id="future"></div>
        <form id="form" id="chat_form">
            <input id="chat_input" type="text">
            <input type="submit" value="Send">
        </form>
         <script src="https://code.jquery.com/jquery-1.10.2.js"></script>
        <script src="/socket.io/socket.io.js"></script>      
        <script>
            var socket = io.connect('http://localhost:4300');
            socket.on('news', function (data) {
              console.log(data);
              socket.emit('my other event', { my: 'data dkdsfkljlsdf' });
            });

    window.addEventListener("load", Ready);
    function FileChosen(evnt) {
        SelectedFile = evnt.target.files[0];
        document.getElementById('NameBox').value = SelectedFile.name;
    }
    function Ready(){
        if(window.File && window.FileReader){ //These are the relevant HTML5 objects that we are going to use
            document.getElementById('UploadButton').addEventListener('click', StartUpload);
            document.getElementById('FileBox').addEventListener('change', FileChosen);
        }
        else
        {
            document.getElementById('UploadArea').innerHTML = "Your Browser Doesn't Support The File API Please Update Your Browser";
        }
    }
var FReader;
var Name;
function StartUpload(){
    if(document.getElementById('FileBox').value != "")
    {
        FReader = new FileReader();
        console.log(FReader);
        Name = document.getElementById('NameBox').value;
        var Content = "<span id='NameArea'>Uploading " + SelectedFile.name + " as " + Name + "</span>";
        Content += '<div id="ProgressContainer"><div id="ProgressBar"></div></div><span id="percent">0%</span>';
        Content += "<span id='Uploaded'> - <span id='MB'>0</span>/" + Math.round(SelectedFile.size / 1048576) + "MB</span>";
        document.getElementById('UploadArea').innerHTML = Content;
       
        socket.on('passess',function(filePasses){
            if(filePasses){
                FReader.onload = function(evnt){
            
                    socket.emit('Upload', { 'Name' : Name, Data : evnt.target.result });
                }
            }else{
                //show error
            }
        })

        socket.emit('Start', { 'Name' : Name, 'Size' : SelectedFile.size });
    }
    else
    {
        alert("Please Select A File");
    }
}
socket.on('MoreData', function (data){
    UpdateBar(data['Percent']);
    var Place = data['Place'] * 524288; //The Next Blocks Starting Position
    var NewFile; //The Variable that will hold the new Block of Data
    if(SelectedFile.webkitSlice)
        NewFile = SelectedFile.slice(Place, Place + Math.min(524288, (SelectedFile.size-Place)));
    else
        NewFile = SelectedFile.slice(Place, Place + Math.min(524288, (SelectedFile.size-Place)));
    FReader.readAsBinaryString(NewFile);
});

function UpdateBar(percent){
    document.getElementById('ProgressBar').style.width = percent + '%';
    document.getElementById('percent').innerHTML = (Math.round(percent*100)/100) + '%';
    var MBDone = Math.round(((percent/100.0) * SelectedFile.size) / 1048576);
    document.getElementById('MB').innerHTML = MBDone;
}
var Path = "http://localhost:4300/";
socket.on('Done', function (data){
    var Content = "Video Successfully Uploaded !!"
    Content += "<img id='Thumb' src='" + Path + data['Image'] + "' alt='" + Name + "'><br>";
    Content += "<button  type='button' name='Upload' value='' id='Restart' class='Button'>Upload Another</button>";
    document.getElementById('UploadArea').innerHTML = Content;
    document.getElementById('Restart').addEventListener('click', Refresh);
});
function Refresh(){
    location.reload(true);
}
    </script>

    <div id="UploadBox">
        <h2>Video Uploader</h2>
        <span id="UploadArea">
            <label for="FileBox">Choose A File: </label><input type="file" id="FileBox"><br>
            <label for="NameBox">Name: </label><input type="text" id="NameBox"><br>
            <button type="button" id="UploadButton" class="Button">Upload</button>
        </span>
    </div>

    </body>
</html>   -->